      SUBROUTINE PRINTA (A, JCAP1)
      DIMENSION A(JCAP1,JCAP1)
      R = -1.E+30
      DO 1 I=1,JCAP1
      DO 1 J=1,JCAP1
      IF (ABS(A(I,J)).GT.R) R=ABS(A(I,J))
1     CONTINUE
      WRITE(6,100) R
100   FORMAT (1H0, 'SCALE OF MATRIX  =', E12.5)
      DO 2 I=1,JCAP1
      DO 2 J=1,JCAP1
      A(I,J) = A(I,J) / R
2     CONTINUE
      DO 3 I=1,JCAP1
      WRITE(6,101) (A(I,J), J=1,JCAP1)
C 101 FORMAT (1X, 21(F5.2, 1X))
101   FORMAT (1X, 16(F6.3, 1X))
3     CONTINUE
      DO 4 I=1,JCAP1
      DO 4 J=1,JCAP1
      A(I,J) = A(I,J) * R
4     CONTINUE
      RETURN
      END
